import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { Station } from '../model/station';
import { MonitoringStationServiceService } from '../monitoring-station-service/monitoring-station-service.service';

@Component({
  selector: 'app-monitoring-station-list',
  templateUrl: './monitoring-station-list.component.html',
  styleUrls: ['./monitoring-station-list.component.scss']
})
export class MonitoringStationListComponent implements OnInit {
  customerId: String;
  station: Station = new Station(0,"","","","","","","");
  stationList: Station[] = [];
  constructor(private route: ActivatedRoute, 
    private monitoringStationService: MonitoringStationServiceService) {
   
  }
  async ngOnInit() {
    console.log("Add update user");
    this.customerId = this.route.snapshot.paramMap.get('customer-id');
    if (this.customerId != null) {
      await this.monitoringStationService.getItems(this.customerId).then(list =>{
        this.stationList = list;
      })
    }
  }

  equipmentStationList(stationId: String){}

  updateStation(stationId: String){}

  saveChanges(){}
  search(){}
}
